<div class="container mt-5">
  <div class="filter mb-2">
    <label for="filter">Фильтр</label>
    <input type="text" id="filter" class="form-control" [(ngModel)]="searchUser">
  </div>
  <div class="row mt-5" *ngFor="let user of users | searchFilter:searchUser">
    <div class="col-3">
      {{user.name}}
    </div>
    <div class="col-3">
      {{user.surname}}
    </div>
    <div class="col-3">
      <div class="row" *ngFor="let email of user.emails">
        <div class="col-12">
          {{email}}
        </div>
      </div>
    </div>
    <div class="col-3">
      <button class="btn btn-primary" (click)="onWorkerChange(user)">Редактировать</button>
    </div>
    <hr *ngIf="users.length" class="w-100">
  </div>
  <form [formGroup]="userForm" (ngSubmit)="onUserFormSubmit()">
    <div class="row">
      <div class="col-6">
        <div class="form-group">
          <label for="name">Имя</label>
          <input type="text" id="name" class="form-control" placeholder="Имя" formControlName="name">
        </div>
      </div>
      <div class="col-6">
        <div class="form-group">
          <label for="surname">Фамилия</label>
          <input type="text" id="surname" class="form-control" placeholder="Фамилия" formControlName="surname">
        </div>
      </div>
    </div>
    <ng-container formArrayName="emails">
      <div class="row"
           *ngFor="let e of userForm.get('emails').controls; let i = index, let last = last, let first = first">
        <div class="col-6">
          <div class="form-group">
            <input type="text" class="form-control" placeholder="email" [formControlName]="i">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <button class="btn btn-primary" *ngIf="last" (click)="onAddEmail()">Добавить email</button>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <button class="btn btn-danger" *ngIf="userForm.get('emails').controls.length>1" (click)="onDelEmail(i)">
              Удалить email
            </button>
          </div>
        </div>
      </div>
    </ng-container>
    <button type="submit" class="btn btn-primary" *ngIf="!changeCheckbox; else changer" [disabled]="!userForm.valid">
      Добавить пользователя
    </button>
    <ng-template #changer>
      <button type="submit" class="btn btn-primary" [disabled]="!userForm.valid">Редактировать пользователя</button>
    </ng-template>
  </form>
</div>
